Skip to content
Last updated

Storage Information

api-version: 1.0

Retrieves the information about the current storage.

GET  /{collectionId}/{storageId}/_api/rest/info

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.

Responses

Success 200

NameTypeDescription
typestringThe type of the storage: IStorageContext, IStorageCollectionContext or ISysAdminContext.
tenantstringThe tenant id of the storage.
baseTenatstringThe tenant id of the base storage.
templatestringName of the storage template.
dataCulturesstringAvailable data cultures in the storage.
defaultDataCulturestringDefault data culture of the storage.
isValidbooltrue if the storage is valid, otherwise false.
regionRegionInfoThe configured region in the storage.
timeZoneTimeZoneInfoThe configured time zone in the storage.

Error 4xx

NameTypeDescription
messagestringThe error message.
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Get the info of a BPMN storage

Request

GET https://demo.symbioworld.com/pz/showcase/_api/rest/info/

Response (200 OK)

{
    "type": "IStorageContext",
    "tenant": "3ecb1df0-39c6-4816-b5fb-2cb902f3d3e1",
    "title": "showcase",
    "description": "",
    "baseTenant": "069bea6b-a7d4-4fb2-9b50-54f9ff07168c",
    "apiUrl": "https://demo.symbioworld.com/pz/showcase/_api/",
    "appUrl": "https://demo.symbioworld.com/pz/showcase/",
    "template": "Symbio Web Standard (BPMN)",
    "dataCultures": [
        1031,
        1033
    ],
    "defaultDataCulture": 1033,
    "mandatoryCultures": [
        1031,
        1033
    ],
    "optionalCultures": [],
    "isValid": true,
    "region": {
        "name": "DE",
        "englishName": "Germany",
        "displayName": "Germany",
        "nativeName": "Germany",
        "twoLetterISORegionName": "DE",
        "threeLetterISORegionName": "DEU",
        "threeLetterWindowsRegionName": "DEU",
        "isMetric": true,
        "geoId": 94,
        "currencyEnglishName": "Euro",
        "currencyNativeName": "Euro",
        "currencySymbol": "€",
        "isoCurrencySymbol": "EUR"
    },
    "timeZone": {
        "Id": "W. Europe Standard Time",
        "DisplayName": "(UTC+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna",
        "StandardName": "W. Europe Standard Time",
        "DaylightName": "W. Europe Daylight Time",
        "BaseUtcOffset": "01:00:00",
        "AdjustmentRules": [
            {
                "DateStart": "0001-01-01T00:00:00",
                "DateEnd": "9999-12-31T00:00:00",
                "DaylightDelta": "01:00:00",
                "DaylightTransitionStart": {
                    "TimeOfDay": "0001-01-01T02:00:00",
                    "Month": 3,
                    "Week": 5,
                    "Day": 1,
                    "DayOfWeek": "Sunday",
                    "IsFixedDateRule": false
                },
                "DaylightTransitionEnd": {
                    "TimeOfDay": "0001-01-01T03:00:00",
                    "Month": 10,
                    "Week": 5,
                    "Day": 1,
                    "DayOfWeek": "Sunday",
                    "IsFixedDateRule": false
                },
                "BaseUtcOffsetDelta": "00:00:00"
            }
        ],
        "SupportsDaylightSavingTime": true
    }
}

Definitions

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.